document.addEventListener("DOMContentLoaded", function() {
    var favoriteButton = document.getElementById("club-favorite-button");
    if (favoriteButton) {
        favoriteButton.addEventListener("click", function() {
            favoriteButton.src = "/img/club-page/favorited.png";
        });
    }
});
